summarylogtreecommitdiffstats
path: root/bluetooth
diff options
context:
space:
mode:
authorLubosz Sarnecki2015-06-22 22:57:24 +0200
committerLubosz Sarnecki2015-06-22 22:57:24 +0200
commit672d7d0095c5f40ed890e52067345f14cedf6b18 (patch)
treec34c5ad8cbab3dff27369ef557a8bdc6ceba5e29 /bluetooth
downloadaur-qtsixa-git.tar.gz
Initial import
Diffstat (limited to 'bluetooth')
-rwxr-xr-xbluetooth29
1 files changed, 29 insertions, 0 deletions
diff --git a/bluetooth b/bluetooth
new file mode 100755
index 000000000000..2f1d82a526ac
--- /dev/null
+++ b/bluetooth
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# Creator: Soul_Est
+# Email: soul.est.soul.est@gmail.com
+#
+# Shim for QTSixA until it's fully compatible with systemd
+# The ":" command idea taken from here: http://ynniv.com/blog/2005/04/doing-nothing-in-bash.html#c3664104150986936775
+#
+case "$1" in
+ start)
+ # It does nothing and has a 0.00s runtime!
+ #: && exit 0
+ # Uncomment the next line if you use regular bluetooth
+ systemctl start bluetooth.service && exit 0
+ ;;
+ stop)
+ # It does nothing and has a 0.00s runtime!
+ #: && exit 0
+ # Uncomment the next line if you use regular bluetooth
+ systemctl stop bluetooth.service && exit 0
+ ;;
+ restart)
+ # It does nothing and has a 0.00s runtime!
+ #: && exit 0
+ # Uncomment the next line if you use regular bluetooth
+ systemctl restart bluetooth.service && exit 0
+ ;;
+esac
+exit 1